<?php
class ControllerModuleOnlySubCategories extends Controller {
	public function index() {
		$this->load->language('module/onlysubcategories');

		$data['heading_title'] = $this->language->get('heading_title');

		if (isset($this->request->get['path'])) {
			$parts = explode('_', (string)$this->request->get['path']);
		} else {
			$parts = array();
		}

		if (isset($parts[0])) {
			$data['category_id'] = $parts[0];
		} else {
			$data['category_id'] = 0;
		}

		if (isset($parts[1])) {
			$data['child_id'] = $parts[1];
		} else {
			$data['child_id'] = 0;
		}

		$this->load->model('catalog/onlysubcategories');

		$this->load->model('catalog/product');

		$data['categories'] = array();

		$categories = $this->model_catalog_onlysubcategories->getCategories(0);

		foreach ($categories as $onlysubcategories) {
			$children_data = array();

			if ($onlysubcategories['category_id'] == $data['category_id']) {
				$children = $this->model_catalog_onlysubcategories->getCategories($onlysubcategories['category_id']);

				foreach($children as $child) {
					$filter_data = array('filter_category_id' => $child['category_id'], 'filter_sub_onlysubcategories' => true);

					$children_data[] = array(
						'category_id' => $child['category_id'],
						'name' => $child['name'] . ($this->config->get('config_product_count') ? ' (' . $this->model_catalog_product->getTotalProducts($filter_data) . ')' : ''),
						'href' => $this->url->link('product/onlysubcategories', 'path=' . $onlysubcategories['category_id'] . '_' . $child['category_id'])
					);
				}
			}

			$filter_data = array(
				'filter_category_id'  => $onlysubcategories['category_id'],
				'filter_sub_onlysubcategories' => true
			);

			$data['categories'][] = array(
				'category_id' => $onlysubcategories['category_id'],
				'name'        => $onlysubcategories['name'] . ($this->config->get('config_product_count') ? ' (' . $this->model_catalog_product->getTotalProducts($filter_data) . ')' : ''),
				'children'    => $children_data,
				'href'        => $this->url->link('product/onlysubcategories', 'path=' . $onlysubcategories['category_id'])
			);
		}

		if (file_exists(DIR_TEMPLATE . $this->config->get('config_template') . '/template/module/onlysubcategories.tpl')) {
			return $this->load->view($this->config->get('config_template') . '/template/module/onlysubcategories.tpl', $data);
		} else {
			return $this->load->view('default/template/module/onlysubcategories.tpl', $data);
		}
	}
}